#
# spec file for package ibmswtpm2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define suite ibmtss

%ifarch    ppc ppc64 s390 s390x
%define extra_ccflags -DBIG_ENDIAN_TPM=1
%else
%define extra_ccflags ""
%endif

Name:           ibmswtpm2
Version:        1332
Release:        lp152.1.8
Summary:        IBM's Software TPM 2.0
License:        BSD-3-Clause
Group:          Development/Tools/Other
URL:            https://sourceforge.net/projects/ibmswtpm2
Source:         https://sourceforge.net/projects/ibmswtpm2/files/ibmtpm%{version}.tar.gz
Patch1:         makefile.patch
Patch2:         ibmswtpm2-fix-uninitialized.patch
BuildRequires:  libopenssl-devel >= 1.0

%description
An implementation of the TCG TPM 2.0 specification. It is based on
the TPM specification Parts 3 and 4 source code donated by Microsoft,
with additional files to complete the implementation.

This TPM emulator listens on TCP ports (default 2321 and 2322) and
saves state to the file "NVChip" in the current directory.

It is probably not of much use other than testing the IBM TSS
implementation because of this specific interface.

%prep
%setup -q -c
%autopatch -p 1

%build
cd src
CCFLAGS="%{optflags} "%{extra_ccflags} make %{?_smp_mflags}

%install
cd src
install -m 755 -D -t %{buildroot}/%{_libexecdir}/%{suite} tpm_server

%files
%dir %{_libexecdir}/%{suite}
%{_libexecdir}/%{suite}/tpm_server
%doc ibmtpm.doc

%changelog
* Thu Jul  4 2019 Michal Suchanek <msuchanek@suse.de>
- Update to upstream version 1332
  * fixes build of ibmtpm v1470
  * add ibmswtpm2-fix-uninitialized.patch
  * run through spec-cleaner
* Thu Jan 18 2018 msuchanek@suse.com
- Enable bigendian build
* Tue Jan 16 2018 vcizek@suse.com
- Update to upstream version 1119
  * adds openssl 1.1 support (bsc#1066916)
- drop patches (upstream):
  * bits.patch
  * fix_unreferenced_macro-gcc7.patch
* Wed Nov  8 2017 msuchanek@suse.com
- Update to upstream version 974
  - deal with openssl 1.0 vs 1.1 split (bsc#1066916)
* Mon Jun  5 2017 msuchanek@suse.com
- fix build with gcc7: fix_unreferenced_macro-gcc7.patch
* Tue Feb 14 2017 msuchanek@suse.com
- Drop a pointer cast hack in bits.patch. It builds without the hack.
* Wed Feb  8 2017 jengelh@inai.de
- Wrap description, drop empty scriptlets.
* Fri Jan 27 2017 msuchanek@suse.com
- Import version 832 (FATE#321601)
- bits.patch: handle some 32/64bit issues
- makefile.patch: some compiler flag adjustments
